Entur Developer
Orders

Order lines

Server

Services related to order lines on order.


Confirm pending OrderLines

POST
https://api.staging.entur.io/sales
/v1/orders/{orderId}/orderlines/confirm

Confirm OrderLines that have externalConfirmation=PENDING. If all pending OrderLines are confirmed, an OrderConfirmed event is emitted and the order transitions to CONFIRMED. Otherwise, an OrderPartiallyConfirmed event is emitted and the order remains in DRAFT. Returns 200 with the current order state, including if the order is already confirmed.

Confirm pending OrderLines › path Parameters

orderId
​string · required · style: simple

Order ID

Confirm pending OrderLines › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Confirm pending OrderLines › Request Body

orderLineIds
​string[] · required

IDs of order lines to confirm. Must be order lines with externalConfirmation=PENDING.

Confirm pending OrderLines › Responses

OK

A purchase Order for one or more Travellers
id
​string · required

ID of Order.

Example: 3N7URR0X
version
​integer · int32 · required

The system increments an Order’s version number whenever some change occurs that causes the Order’s status to go from CONFIRMED to DRAFT. The user has to perform an action that causes the status to go from DRAFT to CONFIRMED (such as paying for the Order) before the time given in expireAt. If the Order is not confirmed within this time, the system will scrap all changes (including the incremented version) and return the Order to its last confirmed version.

Example: 2
Default: 1
status
​WorkflowStatus · enum · required

Status of this Order or OrderLine. Every Order starts out with the status DRAFT, and can only be changed to CONFIRMED when it is balanced - when balance is '0.00'. All OrderLines that are have the status DRAFT at that point in time can also be changed to CONFIRMED.

Enum values:
DRAFT
CONFIRMED
Example: CONFIRMED
Default: DRAFT
totalAmount
​string · required

The total amount due for this Order.

Default: 0.00
balance
​string · required

The balance amount for this Order.

Default: 0.00
totalTaxAmount
​string · required

The total tax amount for this Order.

Default: 0.00
currency
​string · required

The currency for this Order.

Default: NOK
​OrderLine[] · required

OrderLines in the given Order.

Default: []
​PaymentRef[] · required

Payment references used on this Order.

Default: []
​PurchasedReservation[] · required

Seating Reservations connected to this Order.

Default: []
​Traveller[] · required

Unique Travellers in this Order.

Default: []
organisationId
​integer · int64 · required

ID of the organisation which created/sold this Order.

Example: 1
createdAt
​string · date-time · required

Timestamp for when Order was created.

Example: 2020-05-13T07:19:30.389Z
​Fee[] · required

Fees contained in the Order.

Default: []
failed
​boolean · required

Indicates that the order version has failed and needs to be credited.

Default: false
lastConfirmedAt
​string · date-time

Timestamp for when Order was last confirmed.

Example: 2020-05-13T07:19:30.389Z
pos
​string

Point-of-sale reference of request used when Order was created

Example: POS-123
distributionChannelId
​string

Distribution channel ID of request used when Order was created

Example: ENT:DistributionChannel:Sor
​ContactInfo

Contact information related to different aspects in the lifecycle of an Order.

externalReference
​string

External reference for Orders

Example: 3N7URR0X
expireAt
​string · date-time

Any changes not confirmed before this point in time will be discarded. Default is 20 minutes from the last operation. Cannot be in the past, or further into the future than six months.

Example: 2020-05-13T07:19:30.389Z
​SpecialOrderCause

Holder for fields used to explain why an Order has been issued. Used for zero tickets.


Update OrderLines on an Order

PUT
https://api.staging.entur.io/sales
/v1/orders/{orderId}/orderlines

This endpoint updates OrderLines on the specified Order, and returns the updated representations

Update OrderLines on an Order › path Parameters

orderId
​string · required · style: simple

Order ID

Update OrderLines on an Order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update OrderLines on an Order › Request Body

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PurchasedFareProduct[] · required

The underlying FareProducts which make up this SalesPackage.

Default: []
​TextInLanguage[] · required

Description.

Default: []
​PurchasedTraveller[] · required

The Travellers that are to travel on this OrderLine.

Default: []
id
​string · uuid

Id for an OrderLine, required when updating orderLines

Example: dd3e1d71-1c96-4b88-a683-538a8724ee0d
​LocalPriceWithTax

The original price, with tax, in the local currency of the tax country.

​RefType

Reference to a resource available in a different APIs

​PurchasedParameters

Possible additional parameters for the configurations

privateCode
​string

Private code.

​TravelSpecification
externalReference
​string

External reference to another system supplied by the client.

Example: 3N7URR0X
​DistributionDetails

Wrapper for references connected to distribution of travel rights and/or tickets

​PurchasedProperties

Classification of the products chosen.

effectiveCancellationDate
​string · date-time

If set, the effective date for cancellation. Overrides timestamp.

Example: 2020-05-13T07:19:30.389Z
​object

A map of client provided data. No validation is performed, and no guarantee can be made about its contents.

​PurchasedParameterSpecification[]
externalConfirmation
​string

External confirmation status for this OrderLine. Allowed values: PENDING, SUCCESS, FAILED.

Update OrderLines on an Order › Responses

OK

id
​string · uuid · required

ID of OrderLine

Example: dd3e1d71-1c96-4b88-a683-538a8724ee0d
version
​integer · int32 · required

Version of this OrderLine. This is iterated when the OrderLine is updated, but not when it is replaced.

Example: 1
Default: 1
status
​WorkflowStatus · enum · required

Status of this Order or OrderLine. Every Order starts out with the status DRAFT, and can only be changed to CONFIRMED when it is balanced - when balance is '0.00'. All OrderLines that are have the status DRAFT at that point in time can also be changed to CONFIRMED.

Enum values:
DRAFT
CONFIRMED
Example: CONFIRMED
Default: DRAFT
createdAt
​string · date-time · required

Timestamp for when the OrderLine was created.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PurchasedFareProduct[] · required

The underlying FareProducts which make up this SalesPackage.

Default: []
​TextInLanguage[] · required

Description.

Default: []
​PurchasedTraveller[] · required

The Travellers that are to travel on this OrderLine.

Default: []
cancellation
​CancellationReason · enum

Cancellation reason for an OrderLine. OrderLines with REPLACED have been replaced with a newer version.

Enum values:
CANCELLED
REPLACED
lastConfirmedAt
​string · date-time

Timestamp for when the OrderLine was last confirmed.

refunded
​boolean

If true = refunded, false = cancelled, null = active

​PurchasedParameterSpecification[]
​AddedBy

Metadata about who or what added the OrderLine.

Example: {"pos":"123","distributionChannelId":"ABC:DistributionChannel:MyCompany"}
​LocalPriceWithTax

The original price, with tax, in the local currency of the tax country.

​RefType

Reference to a resource available in a different APIs

​PurchasedParameters

Possible additional parameters for the configurations

privateCode
​string

Private code.

​TravelSpecification
externalReference
​string

External reference to another system supplied by the client.

Example: 3N7URR0X
​DistributionDetails

Wrapper for references connected to distribution of travel rights and/or tickets

​PurchasedProperties

Classification of the products chosen.

effectiveCancellationDate
​string · date-time

If set, the effective date for cancellation. Overrides timestamp.

Example: 2020-05-13T07:19:30.389Z
​object

A map of client provided data. No validation is performed, and no guarantee can be made about its contents.

externalConfirmation
​string

External confirmation status for this OrderLine. Allowed values: PENDING, SUCCESS, FAILED.


Add OrderLines to Order

POST
https://api.staging.entur.io/sales
/v1/orders/{orderId}/orderlines

This endpoint adds a list of OrderLines to the specified Order, and returns a List of the OrderLines added. If the Order does not exist it will throw an exception.

Add OrderLines to Order › path Parameters

orderId
​string · required · style: simple

Order ID

Add OrderLines to Order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Add OrderLines to Order › Request Body

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PurchasedFareProduct[] · required

The underlying FareProducts which make up this SalesPackage.

Default: []
​TextInLanguage[] · required

Description.

Default: []
​PurchasedTraveller[] · required

The Travellers that are to travel on this OrderLine.

Default: []
id
​string · uuid

Id for an OrderLine, required when updating orderLines

Example: dd3e1d71-1c96-4b88-a683-538a8724ee0d
​LocalPriceWithTax

The original price, with tax, in the local currency of the tax country.

​RefType

Reference to a resource available in a different APIs

​PurchasedParameters

Possible additional parameters for the configurations

privateCode
​string

Private code.

​TravelSpecification
externalReference
​string

External reference to another system supplied by the client.

Example: 3N7URR0X
​DistributionDetails

Wrapper for references connected to distribution of travel rights and/or tickets

​PurchasedProperties

Classification of the products chosen.

effectiveCancellationDate
​string · date-time

If set, the effective date for cancellation. Overrides timestamp.

Example: 2020-05-13T07:19:30.389Z
​object

A map of client provided data. No validation is performed, and no guarantee can be made about its contents.

​PurchasedParameterSpecification[]
externalConfirmation
​string

External confirmation status for this OrderLine. Allowed values: PENDING, SUCCESS, FAILED.

Add OrderLines to Order › Responses

OK

id
​string · uuid · required

ID of OrderLine

Example: dd3e1d71-1c96-4b88-a683-538a8724ee0d
version
​integer · int32 · required

Version of this OrderLine. This is iterated when the OrderLine is updated, but not when it is replaced.

Example: 1
Default: 1
status
​WorkflowStatus · enum · required

Status of this Order or OrderLine. Every Order starts out with the status DRAFT, and can only be changed to CONFIRMED when it is balanced - when balance is '0.00'. All OrderLines that are have the status DRAFT at that point in time can also be changed to CONFIRMED.

Enum values:
DRAFT
CONFIRMED
Example: CONFIRMED
Default: DRAFT
createdAt
​string · date-time · required

Timestamp for when the OrderLine was created.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PurchasedFareProduct[] · required

The underlying FareProducts which make up this SalesPackage.

Default: []
​TextInLanguage[] · required

Description.

Default: []
​PurchasedTraveller[] · required

The Travellers that are to travel on this OrderLine.

Default: []
cancellation
​CancellationReason · enum

Cancellation reason for an OrderLine. OrderLines with REPLACED have been replaced with a newer version.

Enum values:
CANCELLED
REPLACED
lastConfirmedAt
​string · date-time

Timestamp for when the OrderLine was last confirmed.

refunded
​boolean

If true = refunded, false = cancelled, null = active

​PurchasedParameterSpecification[]
​AddedBy

Metadata about who or what added the OrderLine.

Example: {"pos":"123","distributionChannelId":"ABC:DistributionChannel:MyCompany"}
​LocalPriceWithTax

The original price, with tax, in the local currency of the tax country.

​RefType

Reference to a resource available in a different APIs

​PurchasedParameters

Possible additional parameters for the configurations

privateCode
​string

Private code.

​TravelSpecification
externalReference
​string

External reference to another system supplied by the client.

Example: 3N7URR0X
​DistributionDetails

Wrapper for references connected to distribution of travel rights and/or tickets

​PurchasedProperties

Classification of the products chosen.

effectiveCancellationDate
​string · date-time

If set, the effective date for cancellation. Overrides timestamp.

Example: 2020-05-13T07:19:30.389Z
​object

A map of client provided data. No validation is performed, and no guarantee can be made about its contents.

externalConfirmation
​string

External confirmation status for this OrderLine. Allowed values: PENDING, SUCCESS, FAILED.


Delete OrderLines from Order

DELETE
https://api.staging.entur.io/sales
/v1/orders/{orderId}/orderlines

This endpoint removes a list of OrderLines from the specified Order. This is equivalent of running multiple DELETE /v1/orders/{orderId}/orderlines/{orderLineId}

Delete OrderLines from Order › path Parameters

orderId
​string · required · style: simple

Order ID

Delete OrderLines from Order › query Parameters

orderLineIds
​string[] · style: form

List of order line IDs to delete

Delete OrderLines from Order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Delete OrderLines from Order › Responses

No Content

No data returned

Cancel OrderLines in an Order

POST
https://api.staging.entur.io/sales
/v1/orders/{orderId}/orderlines/cancel

The cost of the OrderLine will be removed from the Order total, and the field cancellation will be set to CANCELLED. Only to be used for CONFIRMED OrderLines. Typical usage: refunding.

Cancel OrderLines in an Order › path Parameters

orderId
​string · required · style: simple

Order ID

Cancel OrderLines in an Order › query Parameters

orderLineIds
​string[] · style: form

Use request body

effectiveCancellationDate
​string · date-time · style: form · explode: true

This parameter is used to override cancellation date from current timestamp. This will be applied to every order line in the request. Separate requests are required per cancellation date.

Example: 2018-09-02T07:36:00Z

Cancel OrderLines in an Order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Cancel OrderLines in an Order › Request Body optional

​string[]

Cancel all included order lines

Cancel OrderLines in an Order › Responses

OK

The cancelled OrderLines

id
​string · uuid · required

ID of OrderLine

Example: dd3e1d71-1c96-4b88-a683-538a8724ee0d
version
​integer · int32 · required

Version of this OrderLine. This is iterated when the OrderLine is updated, but not when it is replaced.

Example: 1
Default: 1
status
​WorkflowStatus · enum · required

Status of this Order or OrderLine. Every Order starts out with the status DRAFT, and can only be changed to CONFIRMED when it is balanced - when balance is '0.00'. All OrderLines that are have the status DRAFT at that point in time can also be changed to CONFIRMED.

Enum values:
DRAFT
CONFIRMED
Example: CONFIRMED
Default: DRAFT
createdAt
​string · date-time · required

Timestamp for when the OrderLine was created.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PurchasedFareProduct[] · required

The underlying FareProducts which make up this SalesPackage.

Default: []
​TextInLanguage[] · required

Description.

Default: []
​PurchasedTraveller[] · required

The Travellers that are to travel on this OrderLine.

Default: []
cancellation
​CancellationReason · enum

Cancellation reason for an OrderLine. OrderLines with REPLACED have been replaced with a newer version.

Enum values:
CANCELLED
REPLACED
lastConfirmedAt
​string · date-time

Timestamp for when the OrderLine was last confirmed.

refunded
​boolean

If true = refunded, false = cancelled, null = active

​PurchasedParameterSpecification[]
​AddedBy

Metadata about who or what added the OrderLine.

Example: {"pos":"123","distributionChannelId":"ABC:DistributionChannel:MyCompany"}
​LocalPriceWithTax

The original price, with tax, in the local currency of the tax country.

​RefType

Reference to a resource available in a different APIs

​PurchasedParameters

Possible additional parameters for the configurations

privateCode
​string

Private code.

​TravelSpecification
externalReference
​string

External reference to another system supplied by the client.

Example: 3N7URR0X
​DistributionDetails

Wrapper for references connected to distribution of travel rights and/or tickets

​PurchasedProperties

Classification of the products chosen.

effectiveCancellationDate
​string · date-time

If set, the effective date for cancellation. Overrides timestamp.

Example: 2020-05-13T07:19:30.389Z
​object

A map of client provided data. No validation is performed, and no guarantee can be made about its contents.

externalConfirmation
​string

External confirmation status for this OrderLine. Allowed values: PENDING, SUCCESS, FAILED.


deprecated

Deprecated. Please use PUT `/v1/orders/{orderId}/orderlines`

PUT
https://api.staging.entur.io/sales
/v1/orders/{orderId}/orderlines/{orderLineId}

This endpoint updates a OrderLine on the specified Order, and returns an updated representation

Deprecated. Please use PUT `/v1/orders/{orderId}/orderlines` › path Parameters

orderId
​string · required · style: simple

Order ID

orderLineId
​string · uuid · required · style: simple

OrderLine ID to given Order

Deprecated. Please use PUT `/v1/orders/{orderId}/orderlines` › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Deprecated. Please use PUT `/v1/orders/{orderId}/orderlines` › Request Body

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PurchasedFareProduct[] · required

The underlying FareProducts which make up this SalesPackage.

Default: []
​TextInLanguage[] · required

Description.

Default: []
​PurchasedTraveller[] · required

The Travellers that are to travel on this OrderLine.

Default: []
id
​string · uuid

Id for an OrderLine, required when updating orderLines

Example: dd3e1d71-1c96-4b88-a683-538a8724ee0d
​LocalPriceWithTax

The original price, with tax, in the local currency of the tax country.

​RefType

Reference to a resource available in a different APIs

​PurchasedParameters

Possible additional parameters for the configurations

privateCode
​string

Private code.

​TravelSpecification
externalReference
​string

External reference to another system supplied by the client.

Example: 3N7URR0X
​DistributionDetails

Wrapper for references connected to distribution of travel rights and/or tickets

​PurchasedProperties

Classification of the products chosen.

effectiveCancellationDate
​string · date-time

If set, the effective date for cancellation. Overrides timestamp.

Example: 2020-05-13T07:19:30.389Z
​object

A map of client provided data. No validation is performed, and no guarantee can be made about its contents.

​PurchasedParameterSpecification[]
externalConfirmation
​string

External confirmation status for this OrderLine. Allowed values: PENDING, SUCCESS, FAILED.

Deprecated. Please use PUT `/v1/orders/{orderId}/orderlines` › Responses

OK

id
​string · uuid · required

ID of OrderLine

Example: dd3e1d71-1c96-4b88-a683-538a8724ee0d
version
​integer · int32 · required

Version of this OrderLine. This is iterated when the OrderLine is updated, but not when it is replaced.

Example: 1
Default: 1
status
​WorkflowStatus · enum · required

Status of this Order or OrderLine. Every Order starts out with the status DRAFT, and can only be changed to CONFIRMED when it is balanced - when balance is '0.00'. All OrderLines that are have the status DRAFT at that point in time can also be changed to CONFIRMED.

Enum values:
DRAFT
CONFIRMED
Example: CONFIRMED
Default: DRAFT
createdAt
​string · date-time · required

Timestamp for when the OrderLine was created.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PurchasedFareProduct[] · required

The underlying FareProducts which make up this SalesPackage.

Default: []
​TextInLanguage[] · required

Description.

Default: []
​PurchasedTraveller[] · required

The Travellers that are to travel on this OrderLine.

Default: []
cancellation
​CancellationReason · enum

Cancellation reason for an OrderLine. OrderLines with REPLACED have been replaced with a newer version.

Enum values:
CANCELLED
REPLACED
lastConfirmedAt
​string · date-time

Timestamp for when the OrderLine was last confirmed.

refunded
​boolean

If true = refunded, false = cancelled, null = active

​PurchasedParameterSpecification[]
​AddedBy

Metadata about who or what added the OrderLine.

Example: {"pos":"123","distributionChannelId":"ABC:DistributionChannel:MyCompany"}
​LocalPriceWithTax

The original price, with tax, in the local currency of the tax country.

​RefType

Reference to a resource available in a different APIs

​PurchasedParameters

Possible additional parameters for the configurations

privateCode
​string

Private code.

​TravelSpecification
externalReference
​string

External reference to another system supplied by the client.

Example: 3N7URR0X
​DistributionDetails

Wrapper for references connected to distribution of travel rights and/or tickets

​PurchasedProperties

Classification of the products chosen.

effectiveCancellationDate
​string · date-time

If set, the effective date for cancellation. Overrides timestamp.

Example: 2020-05-13T07:19:30.389Z
​object

A map of client provided data. No validation is performed, and no guarantee can be made about its contents.

externalConfirmation
​string

External confirmation status for this OrderLine. Allowed values: PENDING, SUCCESS, FAILED.


deprecated

Deprecated. Please use DELETE `/v1/orders/{orderId}/orderlines?orderLineIds={orderLineId}`

DELETE
https://api.staging.entur.io/sales
/v1/orders/{orderId}/orderlines/{orderLineId}

This endpoint removes an OrderLine from the specified Order. Note that this should only be used for non-confirmed OrderLines. If the OrderLine has been confirmed, it needs to be cancelled instead. Typical usage: customer has decided not to purchase the OrderLine.

Deprecated. Please use DELETE `/v1/orders/{orderId}/orderlines?orderLineIds={orderLineId}` › path Parameters

orderId
​string · required · style: simple

Order ID

orderLineId
​string · uuid · required · style: simple

OrderLine ID to given Order

Deprecated. Please use DELETE `/v1/orders/{orderId}/orderlines?orderLineIds={orderLineId}` › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Deprecated. Please use DELETE `/v1/orders/{orderId}/orderlines?orderLineIds={orderLineId}` › Responses

No Content

No data returned

deprecated

Deprecated. Please use POST `/v1/orders/{orderId}/orderlines/cancel?orderLineIds={orderLineId}`

POST
https://api.staging.entur.io/sales
/v1/orders/{orderId}/orderlines/{orderLineId}/cancel

The cost of the OrderLine will be removed from the Order total, and the field cancellation will be set to CANCELLED. Only to be used for CONFIRMED OrderLines. Typical usage: refunding.

Deprecated. Please use POST `/v1/orders/{orderId}/orderlines/cancel?orderLineIds={orderLineId}` › path Parameters

orderId
​string · required · style: simple

Order ID

orderLineId
​string · uuid · required · style: simple

OrderLine ID to given Order

Deprecated. Please use POST `/v1/orders/{orderId}/orderlines/cancel?orderLineIds={orderLineId}` › query Parameters

effectiveCancellationDate
​string · date-time · style: form · explode: true

This parameter is used to override cancellation date from current timestamp.

Example: 2018-09-02T07:36:00Z

Deprecated. Please use POST `/v1/orders/{orderId}/orderlines/cancel?orderLineIds={orderLineId}` › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Deprecated. Please use POST `/v1/orders/{orderId}/orderlines/cancel?orderLineIds={orderLineId}` › Responses

OK

id
​string · uuid · required

ID of OrderLine

Example: dd3e1d71-1c96-4b88-a683-538a8724ee0d
version
​integer · int32 · required

Version of this OrderLine. This is iterated when the OrderLine is updated, but not when it is replaced.

Example: 1
Default: 1
status
​WorkflowStatus · enum · required

Status of this Order or OrderLine. Every Order starts out with the status DRAFT, and can only be changed to CONFIRMED when it is balanced - when balance is '0.00'. All OrderLines that are have the status DRAFT at that point in time can also be changed to CONFIRMED.

Enum values:
DRAFT
CONFIRMED
Example: CONFIRMED
Default: DRAFT
createdAt
​string · date-time · required

Timestamp for when the OrderLine was created.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PriceWithTax · required

Price with included tax amounts and an optional rate.

​PurchasedFareProduct[] · required

The underlying FareProducts which make up this SalesPackage.

Default: []
​TextInLanguage[] · required

Description.

Default: []
​PurchasedTraveller[] · required

The Travellers that are to travel on this OrderLine.

Default: []
cancellation
​CancellationReason · enum

Cancellation reason for an OrderLine. OrderLines with REPLACED have been replaced with a newer version.

Enum values:
CANCELLED
REPLACED
lastConfirmedAt
​string · date-time

Timestamp for when the OrderLine was last confirmed.

refunded
​boolean

If true = refunded, false = cancelled, null = active

​PurchasedParameterSpecification[]
​AddedBy

Metadata about who or what added the OrderLine.

Example: {"pos":"123","distributionChannelId":"ABC:DistributionChannel:MyCompany"}
​LocalPriceWithTax

The original price, with tax, in the local currency of the tax country.

​RefType

Reference to a resource available in a different APIs

​PurchasedParameters

Possible additional parameters for the configurations

privateCode
​string

Private code.

​TravelSpecification
externalReference
​string

External reference to another system supplied by the client.

Example: 3N7URR0X
​DistributionDetails

Wrapper for references connected to distribution of travel rights and/or tickets

​PurchasedProperties

Classification of the products chosen.

effectiveCancellationDate
​string · date-time

If set, the effective date for cancellation. Overrides timestamp.

Example: 2020-05-13T07:19:30.389Z
​object

A map of client provided data. No validation is performed, and no guarantee can be made about its contents.

externalConfirmation
​string

External confirmation status for this OrderLine. Allowed values: PENDING, SUCCESS, FAILED.


Did you find what you were looking for?